## Store catalog credentials `client.R2DataCatalog.Credentials.New(ctx, bucketName, params) (*CredentialNewResponse, error)` **post** `/accounts/{account_id}/r2-catalog/{bucket_name}/credential` Store authentication credentials for a catalog. These credentials are used to authenticate with R2 storage when performing catalog operations. ### Parameters - `bucketName string` Specifies the R2 bucket name. - `params CredentialNewParams` - `AccountID param.Field[string]` Path param: Use this to identify the account. - `Token param.Field[string]` Body param: Provides the Cloudflare API token for accessing R2. ### Returns - `type CredentialNewResponse interface{…}` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/r2_data_catalog" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) credential, err := client.R2DataCatalog.Credentials.New( context.TODO(), "my-data-bucket", r2_data_catalog.CredentialNewParams{ AccountID: cloudflare.F("0123456789abcdef0123456789abcdef"), Token: cloudflare.F("your-cloudflare-api-token-here"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", credential) } ``` #### Response ```json { "errors": [], "messages": [], "result": null, "success": true } ```